How to display synchronized trackball tooltip for multiple charts in JavaScript?
This article explains how to display synchronized trackball tooltip between multiple charts in Javascript Chart component.
Refer below steps to create synchronized trackball tooltip for multiple charts.
Create two React charts with line series and place both the charts inside the same div tag. Trigger the mousemove event for the div element.
Index.html
<!DOCTYPE html><html lang="en">
<head>
<title>EJ2 Chart</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Typescript UI Controls">
<meta name="author" content="Syncfusion">
<link href="index.css" rel="stylesheet">
<script src="https://cdn.syncfusion.com/ej2/20.1.55/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
<div id="container" onmousemove="mousemove(event)">
<div id="element"></div>
<div id="element2"></div>
</div>
<script>
var ele = document.getElementById('container');
if(ele) {
ele.style.visibility = "visible";
}
</script>
<script src="index.js" type="text/javascript"></script>
</body>
</html>
To enable the trackball tooltip set crosshair property as true.
Index.js
var john = [{ x: new Date(2000, 2, 11), y: 15 }, { x: new Date(2000, 9, 14), y: 20 },
{ x: new Date(2001, 2, 11), y: 25 }, { x: new Date(2001, 9, 16), y: 21 },
{ x: new Date(2002, 2, 7), y: 13 }, { x: new Date(2002, 9, 7), y: 18 },
{ x: new Date(2003, 2, 11), y: 24 }, { x: new Date(2003, 9, 14), y: 23 },
{ x: new Date(2004, 2, 6), y: 19 }, { x: new Date(2004, 9, 6), y: 31 },
{ x: new Date(2005, 2, 11), y: 39 }, { x: new Date(2005, 9, 11), y: 50 },
{ x: new Date(2006, 2, 11), y: 24 }];
var andrew = [{ x: new Date(2000, 2, 11), y: 39 }, { x: new Date(2000, 9, 14), y: 30 },
{ x: new Date(2001, 2, 11), y: 28 }, { x: new Date(2001, 9, 16), y: 35 },
{ x: new Date(2002, 2, 7), y: 39 }, { x: new Date(2002, 9, 7), y: 41 },
{ x: new Date(2003, 2, 11), y: 45 }, { x: new Date(2003, 9, 14), y: 48 },
{ x: new Date(2004, 2, 6), y: 54 }, { x: new Date(2004, 9, 6), y: 55 },
{ x: new Date(2005, 2, 11), y: 57 }, { x: new Date(2005, 9, 11), y: 60 },
{ x: new Date(2006, 2, 11), y: 60 }];
var thomas = [{ x: new Date(2000, 2, 11), y: 60 }, { x: new Date(2000, 9, 14), y: 55 },
{ x: new Date(2001, 2, 11), y: 48 }, { x: new Date(2001, 9, 16), y: 57 },
{ x: new Date(2002, 2, 7), y: 62 }, { x: new Date(2002, 9, 7), y: 64 },
{ x: new Date(2003, 2, 11), y: 57 }, { x: new Date(2003, 9, 14), y: 53 },
{ x: new Date(2004, 2, 6), y: 63 }, { x: new Date(2004, 9, 6), y: 50 },
{ x: new Date(2005, 2, 11), y: 66 }, { x: new Date(2005, 9, 11), y: 65 },
{ x: new Date(2006, 2, 11), y: 79 }];
var chart = new ej.charts.Chart({
//Initializing Primary X Axis
primaryXAxis: {
minimum: new Date(2000, 1, 1), maximum: new Date(2006, 2, 11),
valueType: 'DateTime',
skeleton: 'y',
lineStyle: { width: 0 },
majorGridLines: { width: 0 },
edgeLabelPlacement: 'Shift'
},
//Initializing Primary Y Axis
primaryYAxis: {
title: 'Revenue',
labelFormat: '{value}M',
majorTickLines: { width: 0 },
minimum: 10, maximum: 80,
lineStyle: { width: 0 },
},
chartArea: { border: { width: 0 } },
//Initializing Chart Series
series: [
{
type: 'Line',
dataSource: john,
name: 'John',
xName: 'x', width: 2,
yName: 'y',
marker: { visible: true }
},
{
type: 'Line',
dataSource: andrew,
name: 'Andrew',
xName: 'x', width: 2,
yName: 'y',
marker: { visible: true }
},
{
type: 'Line',
dataSource: thomas,
name: 'Thomas',
xName: 'x', width: 2,
yName: 'y',
marker: { visible: true }
}
],
//Initializing Tooltip and Crosshair
tooltip: { enable: true, shared: true },
crosshair: { enable: true, lineType: 'Vertical' },
//Initializing Chart Title
title: 'Average Sales per Person',
});
chart.appendTo('#element');
var chart = new ej.charts.Chart({
//Initializing Primary X Axis
primaryXAxis: {
minimum: new Date(2000, 1, 1), maximum: new Date(2006, 2, 11),
valueType: 'DateTime', skeleton: 'y',lineStyle: { width: 0 },
majorGridLines: { width: 0 }, edgeLabelPlacement: 'Shift'
},
//Initializing Primary Y Axis
primaryYAxis: {
title: 'Revenue',labelFormat: '{value}M',
majorTickLines: { width: 0 }, minimum: 10, maximum: 80,
lineStyle: { width: 0 },
},
chartArea: { border: { width: 0 } },
//Initializing Chart Series
series: [
{
type: 'Line',
dataSource: john,
name: 'John',
xName: 'x', width: 2,
yName: 'y',
marker: { visible: true }
},
{
type: 'Line',
dataSource: andrew,
name: 'Andrew',
xName: 'x', width: 2,
yName: 'y',
marker: { visible: true }
},
{
type: 'Line',
dataSource: thomas,
name: 'Thomas',
xName: 'x', width: 2,
yName: 'y',
marker: { visible: true }
}
],
//Initializing Tooltip and Crosshair
tooltip: { enable: true, shared: true },
crosshair: { enable: true, lineType: 'Vertical' },
title: 'Average Sales per Person',
});
chart.appendTo('#element2');
In the mouse move event, the getBoundingClientRect() method of the chart returns a DOMRect object with properties: left, top, right, bottom, x, y, width, and height. Using these details, the mousemove event is initiated for each chart to display the trackball tooltip in both charts simultaneously.
function mousemove(e) {
if (e.target["id"].indexOf('ChartAreaBorder') > -1) {
var chart1 = document.getElementById('element');
var container1Bounds = chart1.getBoundingClientRect();
mousemoveEvent(
chart1,
e.x,
container1Bounds.y + (container1Bounds.height/2),
e.x,
container1Bounds.y + (container1Bounds.height/2)
);
var chart2 = document.getElementById('element2');
var container2Bounds = chart2.getBoundingClientRect();
mousemoveEvent(
chart2,
e.x,
container2Bounds.y + (container2Bounds.height/2),
e.x,
container2Bounds.y + (container2Bounds.height/2)
);
}
};
var mousemoveEvent = function(element, sx, sy, cx, cy) {
var mousemove = document.createEvent('MouseEvent');
mousemove.initMouseEvent(
'mousemove',
true,
false,
window,
1,
sx,
sy,
cx,
cy,
false,
false,
false,
false,
0,
null
);
element.dispatchEvent(mousemove);
}
The following screenshot illustrates the result of synchronized trackball tooltip for multiple charts.

Refer to the example from the following GitHub link: View Sample in GitHub

How to display synchronized trackball tooltip for multiple charts in Vue?
This article explains how to display a synchronized trackball tooltip between multiple charts in Vue Chart component.
Refer below steps to create synchronized trackball tooltip for multiple charts.
Create two React charts with line series, and place both charts inside the same div tag. Trigger the mousemove event for the div element.
App.vue
<template> <div id="app"> <div style="border: 1px solid" @mousemove="onMouseMove"> <ejs-chart style='display:block' height="65%" align='center' id='chartcontainer1' :title='title' :primaryXAxis='primaryXAxis' :primaryYAxis='primaryYAxis' :chartArea='chartArea' :width='width' :crosshair='crosshair' :tooltip='tooltip' > <e-series-collection> <e-series :dataSource='chartData1' type='Line' xName='x' yName='y' name='John' :marker='marker' width=2> </e-series> <e-series :dataSource='chartData2' type='Line' xName='x' yName='y' name='Andrew' :marker='marker' width=2 > </e-series> </e-series-collection> </ejs-chart> <ejs-chart style='display:block' height="65%" align='center' id='chartcontainer2' :title='title' :primaryXAxis='primaryXAxis' :primaryYAxis='primaryYAxis' :chartArea='chartArea' :width='width' :crosshair='crosshair' :tooltip='tooltip' > <e-series-collection> <e-series :dataSource='chartData1' type='Line' xName='x' yName='y' name='John' :marker='marker' width=2> </e-series> <e-series :dataSource='chartData2' type='Line' xName='x' yName='y' name='Andrew' :marker='marker' width=2 > </e-series> </e-series-collection> </ejs-chart> </div> </div> </template>
To enable the trackball tooltip, set the crosshair property to true.
<script>
import Vue from "vue";
import { ChartPlugin, Tooltip, DateTime, Crosshair, LineSeries, Legend } from "@syncfusion/ej2-vue-charts";
Vue.use(ChartPlugin);
export default Vue.extend({
name: 'app',
data: function() {
return {
chartData1 : [{ x: new Date(2000, 2, 11), y: 15 }, { x: new Date(2000, 9, 14), y: 20 },
{ x: new Date(2001, 2, 11), y: 25 }, { x: new Date(2001, 9, 16), y: 21 },
{ x: new Date(2002, 2, 7), y: 13 }, { x: new Date(2002, 9, 7), y: 18 },
{ x: new Date(2003, 2, 11), y: 24 }, { x: new Date(2003, 9, 14), y: 23 },
{ x: new Date(2004, 2, 6), y: 19 }, { x: new Date(2004, 9, 6), y: 31 },
{ x: new Date(2005, 2, 11), y: 39 }, { x: new Date(2005, 9, 11), y: 50 },
{ x: new Date(2006, 2, 11), y: 24 }],
chartData2 : [{ x: new Date(2000, 2, 11), y: 39 }, { x: new Date(2000, 9, 14), y: 30 },
{ x: new Date(2001, 2, 11), y: 28 }, { x: new Date(2001, 9, 16), y: 35 },
{ x: new Date(2002, 2, 7), y: 39 }, { x: new Date(2002, 9, 7), y: 41 },
{ x: new Date(2003, 2, 11), y: 45 }, { x: new Date(2003, 9, 14), y: 48 },
{ x: new Date(2004, 2, 6), y: 54 }, { x: new Date(2004, 9, 6), y: 55 },
{ x: new Date(2005, 2, 11), y: 57 }, { x: new Date(2005, 9, 11), y: 60 },
{ x: new Date(2006, 2, 11), y: 60 }],
primaryXAxis: {
minimum: new Date(2000, 1, 1), maximum: new Date(2006, 2, 11),
valueType: 'DateTime',
skeleton: 'y',
lineStyle: { width: 0 },
majorGridLines: { width: 0 },
edgeLabelPlacement: 'Shift'
},
primaryYAxis:
{
title: 'Revenue',
labelFormat: '{value}M',
majorTickLines: { width: 0 },
lineStyle: { width: 0 },
},
chartArea: {
border: {
width: 0
}
},
marker: { visible: true },
tooltip: { enable: true, shared: true },
crosshair: { enable: true, lineType: 'Vertical' },
title: "Average Sales per Person"
};
},
provide: {
chart: [Tooltip, DateTime, Crosshair, LineSeries, Legend]
}, In the mousemove event, the getBoundingClientRect() method of the chart returns a DOMRect object with the properties: left, top, right, bottom, x, y, width, and height. Using these details, the mousemove event is initiated for each chart to show the trackball tooltip in both charts at the same time.
<script>
methods:{
onMouseMove: function(args){
if (args.target.id.indexOf('ChartAreaBorder') > -1) {
var chart1 = document.getElementById('chartcontainer1');
var container1Bounds = chart1.getBoundingClientRect();
this.mousemoveEvent(
chart1,
args.x,
container1Bounds.y + (container1Bounds.height/2),
args.x,
container1Bounds.y + (container1Bounds.height/2)
);
var chart2 = document.getElementById('chartcontainer2');
var container2Bounds = chart2.getBoundingClientRect();
this.mousemoveEvent(
chart2,
args.x,
container2Bounds.y + (container2Bounds.height/2),
args.x,
container2Bounds.y + (container2Bounds.height/2)
);
}
},
mousemoveEvent: function(element, sx, sy, cx, cy) {
let mousemove = document.createEvent('MouseEvent');
mousemove.initMouseEvent(
'mousemove',
true,
false,
window,
1,
sx,
sy,
cx,
cy,
false,
false,
false,
false,
0,
null
);
element.dispatchEvent(mousemove);
}
}
});
</script>
The following screenshot illustrates the result of synchronized trackball tooltip for multiple charts.

See also

How to display synchronized trackball tooltip for multiple charts in Angular?
This article explains how to display a synchronized trackball tooltip between multiple charts in the Angular Chart component.
Refer to the steps below to create a synchronized trackball tooltip for multiple charts.
Create two React charts with a line series, place both charts inside the same div tag, and trigger the mousemove event for the div element.
App.component.html
<div class="control-section"> <div style="border: 1px solid" (mousemove)="onMouseMove($event)"> <ejs-chart style='display:block;width: 92%' [chartArea]='chartArea' align='center' id='chartcontainer1' [primaryXAxis]='primaryXAxis' [primaryYAxis]='primaryYAxis' [title]='title' [tooltip]='tooltip' [crosshair]='crosshair' > <e-series-collection> <e-series [dataSource]='john' type='Line' xName='x' yName='y' name='John' width=2 [marker]='marker'> </e-series> <e-series [dataSource]='andrew' type='Line' xName='x' yName='y' name='Andrew' width=2 [marker]='marker'> </e-series> <e-series [dataSource]='thomas' type='Line' xName='x' yName='y' name='Thomas' width=2 [marker]='marker'> </e-series> </e-series-collection> </ejs-chart> <ejs-chart style='display:block;width: 92%' [chartArea]='chartArea' align='center' id='chartcontainer2' [primaryXAxis]='primaryXAxis' [primaryYAxis]='primaryYAxis' [title]='title' [tooltip]='tooltip' [crosshair]='crosshair'> <e-series-collection> <e-series [dataSource]='john' type='Line' xName='x' yName='y' name='John' width=2 [marker]='marker'> </e-series> <e-series [dataSource]='andrew' type='Line' xName='x' yName='y' name='Andrew' width=2 [marker]='marker'> </e-series> <e-series [dataSource]='thomas' type='Line' xName='x' yName='y' name='Thomas' width=2 [marker]='marker'> </e-series> </e-series-collection> </ejs-chart> </div> </div>
To enable the trackball tooltip, set the crosshair property to true.
import { Component, ViewEncapsulation } from '@angular/core';
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['app.component.css'],
encapsulation: ViewEncapsulation.None
})
export class AppComponent {
public john: Object[] = [
{ x: new Date(2000, 2, 11), y: 15 }, { x: new Date(2000, 9, 14), y: 20 },
{ x: new Date(2001, 2, 11), y: 25 }, { x: new Date(2001, 9, 16), y: 21 },
{ x: new Date(2002, 2, 7), y: 13 }, { x: new Date(2002, 9, 7), y: 18 },
{ x: new Date(2003, 2, 11), y: 24 }, { x: new Date(2003, 9, 14), y: 23 },
{ x: new Date(2004, 2, 6), y: 19 }, { x: new Date(2004, 9, 6), y: 31 },
{ x: new Date(2005, 2, 11), y: 39 }, { x: new Date(2005, 9, 11), y: 50 },
{ x: new Date(2006, 2, 11), y: 24 } ];
public andrew: Object[] = [
{ x: new Date(2000, 2, 11), y: 39 }, { x: new Date(2000, 9, 14), y: 30 },
{ x: new Date(2001, 2, 11), y: 28 }, { x: new Date(2001, 9, 16), y: 35 },
{ x: new Date(2002, 2, 7), y: 39 }, { x: new Date(2002, 9, 7), y: 41 },
{ x: new Date(2003, 2, 11), y: 45 }, { x: new Date(2003, 9, 14), y: 48 },
{ x: new Date(2004, 2, 6), y: 54 }, { x: new Date(2004, 9, 6), y: 55 },
{ x: new Date(2005, 2, 11), y: 57 }, { x: new Date(2005, 9, 11), y: 60 },
{ x: new Date(2006, 2, 11), y: 60 } ];
public thomas: Object[] = [
{ x: new Date(2000, 2, 11), y: 60 }, { x: new Date(2000, 9, 14), y: 55 },
{ x: new Date(2001, 2, 11), y: 48 }, { x: new Date(2001, 9, 16), y: 57 },
{ x: new Date(2002, 2, 7), y: 62 }, { x: new Date(2002, 9, 7), y: 64 },
{ x: new Date(2003, 2, 11), y: 57 }, { x: new Date(2003, 9, 14), y: 53 },
{ x: new Date(2004, 2, 6), y: 63 }, { x: new Date(2004, 9, 6), y: 50 },
{ x: new Date(2005, 2, 11), y: 66 }, { x: new Date(2005, 9, 11), y: 65 },
{ x: new Date(2006, 2, 11), y: 79 } ];
//Initializing Primary X Axis
public primaryXAxis: Object = {
minimum: new Date(2000, 1, 1), maximum: new Date(2006, 2, 11),valueType: 'DateTime',
skeleton: 'y', lineStyle: { width: 0 }, majorGridLines: { width: 0 }, edgeLabelPlacement: 'Shift'
};
//Initializing Primary Y Axis
public primaryYAxis: Object = {
title: 'Revenue', labelFormat: '{value}M', majorTickLines: { width: 0 },minimum: 10, maximum: 80, lineStyle: { width: 0 },
};
public chartArea: Object = { border: { width: 0 } };
public title: string = 'Average Sales per Person';
public marker: Object = { visible: true };
public tooltip: Object = { enable: true, shared: true };
public crosshair: Object = { enable: true, lineType: 'Vertical' };In the mousemove event, the getBoundingClientRect() method of the chart returns a DOMRect object with properties: left, top, right, bottom, x, y, width, and height. Using these details, the mousemove event is initiated for each chart to show the trackball tooltip in both charts at the same time.
public onMouseMove(args:any){
if (args.target.id.indexOf('ChartAreaBorder') > -1) {
let chart1: any = document.getElementById('chartcontainer1');
this.container1Bounds = chart1.getBoundingClientRect();
this.mousemoveEvent(
chart1,
args.x,
this.container1Bounds.y + (this.container1Bounds.height/2),
args.x,
this.container1Bounds.y + (this.container1Bounds.height/2)
);
let chart2: any = document.getElementById('chartcontainer2');
this.container2Bounds = chart2.getBoundingClientRect();
this.mousemoveEvent(
chart2,
args.x,
this.container2Bounds.y + (this.container2Bounds.height/2),
args.x,
this.container2Bounds.y + (this.container2Bounds.height/2)
);
}
};
public mousemoveEvent(element:any, sx:any, sy:any, cx:any, cy:any) {
let mousemove = document.createEvent('MouseEvent');
mousemove.initMouseEvent(
'mousemove',
true,
false,
window,
1,
sx,
sy,
cx,
cy,
false,
false,
false,
false,
0,
null
);
element.dispatchEvent(mousemove);
}
constructor() {
//code
};
The following screenshot illustrates the result of a synchronized trackball tooltip for multiple charts:

GitHub Sample Link: View Sample in GitHub
Online Sample: Angular Chart Trackball Demo

Articles in this section

How to display synchronized trackball tooltip for multiple charts in React ?

This article explains how to display synchronized trackball tooltip between multiple charts in React Chart component.

Refer below steps to create synchronized trackball tooltip for multiple charts.

Create a two react charts with line series and place both the charts inside same div tag and trigger mousemove event for div element.

To enable the trackball tooltip set crosshair property as true.

App.tsx

 
import './index.css';
import * as React from 'react';
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, Legend,
  Tooltip, LineSeries, DateTime, Crosshair } from '@syncfusion/ej2-react-charts';
import { john, andrew, thomas } from './trackball-data';
 
const SAMPLE_CSS = `
    .control-fluid {
  padding: 0px !important;
    }`;
export class App extends React.Component<{}, {}> {
 
  chartInstance1: ChartComponent | null | undefined;
  chartInstance2: ChartComponent | null | undefined;
 
  render() {
    return (<div className='control-pane'>
      <div className='control-section' onMouseMove={(e) => this.onMouseMove(e)} >
        <ChartComponent id='chart1'
          ref={chart => this.chartInstance1 = chart}
          primaryXAxis={{
            minimum: new Date(2000, 1, 1), maximum: new Date(2006, 2, 11),
            valueType: 'DateTime', skeleton: 'y', lineStyle: { width: 0 },
            majorGridLines: { width: 0 }, edgeLabelPlacement: 'Shift'
          }} 
          chartArea={{ border: { width: 0 } }}
          primaryYAxis={{
            title: 'Revenue', labelFormat: '{value}M', majorTickLines: { width: 0 },
            minimum: 10, maximum: 80, lineStyle: { width: 0 },
          }} 
          title='Average Sales per Person' tooltip={{ enable: true, shared: true }} 
          crosshair={{ enable: true, lineType: 'Vertical' }}>
          <Inject services={[LineSeries, DateTime, Tooltip, Crosshair, Legend]} />
          <SeriesCollectionDirective>
            <SeriesDirective dataSource={john} xName='x' yName='y' width={2} name='John' type='Line' marker={{ visible: true }}>
            </SeriesDirective>
            <SeriesDirective dataSource={andrew} xName='x' yName='y' width={2} name='Andrew' type='Line' marker={{ visible: true }}>
            </SeriesDirective>
            <SeriesDirective dataSource={thomas} xName='x' yName='y' width={2} name='Thomas' type='Line' marker={{ visible: true }}>
            </SeriesDirective>
          </SeriesCollectionDirective>
        </ChartComponent>
 
        <ChartComponent id='chart2'
          ref={chart1 => this.chartInstance2 = chart1}
          primaryXAxis={{
            minimum: new Date(2000, 1, 1), maximum: new Date(2006, 2, 11),
            valueType: 'DateTime', skeleton: 'y', lineStyle: { width: 0 },
            majorGridLines: { width: 0 }, edgeLabelPlacement: 'Shift'
           }} 
          chartArea={{ border: { width: 0 } }}
          primaryYAxis={{
            title: 'Revenue', labelFormat: '{value}M', majorTickLines: { width: 0 },
            minimum: 10, maximum: 80, lineStyle: { width: 0 },
          }} 
          title='Average Sales per Person' tooltip={{ enable: true, shared: true }} 
          crosshair={{ enable: true, lineType: 'Vertical' }}>
          <Inject services={[LineSeries, DateTime, Tooltip, Crosshair, Legend]} />
          <SeriesCollectionDirective>
            <SeriesDirective dataSource={john} xName='x' yName='y' width={2} name='John' type='Line' marker={{ visible: true }}>
            </SeriesDirective>
            <SeriesDirective dataSource={andrew} xName='x' yName='y' width={2} name='Andrew' type='Line' marker={{ visible: true }}>
            </SeriesDirective>
            <SeriesDirective dataSource={thomas} xName='x' yName='y' width={2} name='Thomas' type='Line' marker={{ visible: true }}>
            </SeriesDirective>
          </SeriesCollectionDirective>
       </ChartComponent>
      </div>
    </div>);
  } 

 

In the mouse move event, getBoundingClientRect() method of chart returns DOM Rect Object with properties: left, top, right, bottom, x, y, width, height. Using the details mousemove event is initiated for each chart to show track ball tooltip in both charts at the same time.

 
  public container1Bounds: any;
  public container2Bounds: any;
  public onMouseMove(args: any): void {
    if (args.target.id.indexOf('ChartAreaBorder') > -1) {
      let chart: any = document.getElementById('chart1');
      this.container1Bounds = chart.getBoundingClientRect();
      this.mousemoveEvent(
        chart,
        args.pageX,
        this.container1Bounds.y + (this.container1Bounds.height / 2),
        args.pageX,
        this.container1Bounds.y + (this.container1Bounds.height / 2)
      ); 
      let chart2: any = document.getElementById('chart2'); 
      this.container2Bounds = chart2.getBoundingClientRect();
      this.mousemoveEvent(
        chart2,
        args.pageX,
        this.container2Bounds.y + (this.container2Bounds.height / 2),
        args.pageX,
        this.container2Bounds.y + (this.container2Bounds.height / 2)
      );
    }
  };
  public mousemoveEvent(element: any, sx: any, sy: any, cx: any, cy: any) {
    let mouse = document.createEvent('MouseEvents');
    mouse.initMouseEvent(
      'mousemove',
      true,
      false,
      window,
      1,
      sx,
      sy,
      cx,
      cy,
      false,
      false,
      false,
      false,
      0,
      null 
    );
 
    element.dispatchEvent(mouse);
  }
}

 

The following screenshot illustrates the result of synchronized trackball tooltip for multiple charts.

synchronized trackball tooltip for multiple charts in React

See also

 

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied